Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.edit
Class ChangeLabelIDEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.edit.ChangeLabelIDEdit

All Implemented Interfaces:
  javax.swing.undo.UndoableEdit

    public class ChangeLabelIDEdit

extends DocumentEdit

Field Summary
`private Label[]` | `labels`
`private java.lang.String` | `newID`
`private java.lang.String[]` | `oldIDs`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`ChangeLabelIDEdit(Document document, java.lang.String newID, Label[] labels)`

Method Summary
`java.lang.String` | `getPresentationName()`
`void` | `redo()`
`void` | `undo()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getRedoPresentationName, getUndoPresentationName, isSignificant, replaceEdit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### newID

    private java.lang.String newID

### labels

    private Label[] labels

### oldIDs

    private java.lang.String[] oldIDs

Constructor Detail

### ChangeLabelIDEdit

    public ChangeLabelIDEdit(Document document,
                             java.lang.String newID,
                             Label[] labels)

Method Detail

### redo

    public void redo()
              throws javax.swing.undo.CannotRedoException

  Specified by:
    `redo` in interface `javax.swing.undo.UndoableEdit`
  Overrides:
    `redo` in class `DocumentEdit`
  Throws:
    `javax.swing.undo.CannotRedoException`

### undo

    public void undo()
              throws javax.swing.undo.CannotUndoException

  Specified by:
    `undo` in interface `javax.swing.undo.UndoableEdit`
  Overrides:
    `undo` in class `DocumentEdit`
  Throws:
    `javax.swing.undo.CannotUndoException`

### getPresentationName

    public java.lang.String getPresentationName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD